AnalysisReports
List analysis reports without embedded section payloads
GET
/
reports
List analysis reports without embedded section payloads
curl --request GET \
--url https://api.reelevant.com/v2/statistics/reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reelevant.com/v2/statistics/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reelevant.com/v2/statistics/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": [
{
"id": "<string>",
"createdBy": "<string>",
"requestedBy": {
"type": "user",
"userId": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"origin": {
"type": "free-form",
"dashboardPath": "<string>",
"dashboardTitle": "<string>"
},
"sectionCount": 123,
"title": "<string>",
"guidedAnalysis": "impact",
"archivedAt": "2023-11-07T05:31:56Z",
"activeGeneration": {
"id": "<string>",
"kind": "initial",
"status": "pending",
"startedAt": "2023-11-07T05:31:56Z"
},
"lastGenerationFailure": {
"kind": "initial",
"question": "<string>",
"evidence": [
{
"id": "<string>",
"query": {
"measures": [
"<string>"
],
"dimensions": [
"<string>"
],
"filters": [
{
"operator": "equals",
"values": [
"<string>"
],
"dimension": "<string>",
"member": "<string>"
}
],
"timeDimensions": [
{
"dimension": "<string>",
"compareDateRange": [
"<string>"
],
"granularity": "<string>"
}
],
"limit": 123,
"order": {}
},
"rows": [
{}
],
"sources": [
{
"service": "statistics",
"queryLayer": "cube",
"members": [
"<string>"
]
}
],
"freshness": {
"capturedAt": "2023-11-07T05:31:56Z"
},
"state": "success",
"executedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"rowCount": 123,
"embeddedRowCount": 123,
"payloadBytes": 123,
"resultHash": "<string>",
"operationId": "<string>",
"warning": "<string>",
"failureCode": "<string>",
"failureMessage": "<string>"
}
],
"generationId": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"failedAt": "2023-11-07T05:31:56Z",
"requestedBy": {
"type": "user",
"userId": "<string>"
},
"usage": {
"queryCount": 123,
"rowCount": 123,
"payloadBytes": 123,
"agentTurns": 123,
"durationMs": 123
}
},
"automatic": {
"slug": "<string>",
"cadence": "monthly",
"period": {
"key": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"comparisonWindows": {
"previousPeriod": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"previousYear": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
}
},
"promptSnapshot": {
"templateKey": "<string>",
"defaultVersion": 123,
"settingsRevision": 123,
"locale": "<string>",
"source": "platform-default",
"text": "<string>"
},
"settingsId": "<string>",
"publicationQuality": "answered",
"supersedesReportId": "<string>"
}
}
],
"code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Was this page helpful?
⌘I
List analysis reports without embedded section payloads
